Subject: bug#37843: bug#37911: Cannot build a system with colord-service.

From: Pierre Langlois <[email-masked]>
Date: Sat, 02 Nov 2019 14:11:46 +0000

Hi Ludo,

Ludovic Courtès writes:

> Hi Jack and all,
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Jack Hill <[email-masked]> skribis:
>
> [...]
>
>>> I did spot another issue with colord since the recent core-updates
>>> merge: https://issues.guix.gnu.org/issue/37843 It seems like it is no
>>> longer being started automatically via dbus?
>>
>> Indeed, stracing dbus-daemon while going to the GNOME settings panel,
>> “Color” tag, I see:
>>
>> 459   sendmsg(48, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="l\3\1\1\213\0\0\0\3\0\0\0m\0\0\0\6\1s\0\5\0\0\0:1.95\0\0\0\4\1s\0'\0\0\0org.freedesktop.DBus.Error.AccessDenied\0\5\1u\0\2\0\0\0\10\1g\0\1s\0\0\7\1s\0\24\0\0\0org.freedesktop.DBus\0\0\0\0", iov_len=128}, {iov_base="\206\0\0\0Connection \":1.95\" is not allowed to own the service \"org.freedesktop.ColorManager\" due to security policies in the configuration file\0", iov_len=139}], msg_iovlen=2, msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL <unfinished ...>
>>
>> So something somewhere is unhappy.
>
> Commit 33f9778bc83086837b99e5c5e99cd514cb0d154e fixes this and colord
> now starts correctly again.
>
> I believe that should also fix the “night light” feature in GNOME.  I
> tested it in a VM but it was hard to tell if it was working.

I can confirm it's working for me on GNOME on my thinkpad! I can use the
night light settings and the laptop screen was detected in the "Color"
section of the settings. And I can see the colord daemon is running.

This is awesome, thank you!

Marking 37911 as done, I'll let Jack close 37843 if he's happy with it.

Pierre